MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0026684Open CASCADE[OCCT] OCCT:Modeling Algorithmspublic2015-09-14 13:552016-04-20 15:50
Reporteremv 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 6.9.0 
Target Version[OCCT] 7.0.0Fixed in Version[OCCT] 7.0.0 
Summary0026684: Big tolerance values of the intersection curves
DescriptionThe intersection curves with very big tolerance values obtained by the intersection algorithm for the following cases:
test boolean bfuse_complex O7
test boolean bfuse_complex Q5
Steps To Reproduce### test boolean bfuse_complex O7
brestore [locate_data_file CTO909_IR2_TuyoPipe20.brep] b1
brestore [locate_data_file CTO909_IR2_sphere1_20.brep] b2
explode b1 f; copy b1_1 f1
explode b2 f; copy b2_1 f2
donly f1 f2
bopcurves f1 f2
# Tolerance Reached=5.8654014686757022e-009
# 2 curve(s) found.
# c_1 c_2

bopcurves f1 f2 -2d
# Tolerance Reached=40.000000003482896
# 2 curve(s) found.
# c_1 (c2d1_1, c2d2_1) c_2 (c2d1_2, c2d2_2)



### test boolean bfuse_complex Q5
brestore [locate_data_file IR2_TuyoPipeBSpline_20_draw2.brep] b1
brestore [locate_data_file IR2_sphere2_20.brep] b2
explode b1 f; copy b1_1 f1
explode b2 f; copy b2_1 f2
donly f1 f2
bopcurves f1 f2
# Tolerance Reached=1.1287363199758573e-008
# 1 curve(s) found.
# c_1

bopcurves f1 f2 -2d
# Tolerance Reached=39.999272650451516
# 1 curve(s) found.
# c_1 (c2d1_1, c2d2_1)
TagsNo tags attached.
Test case number
Attached Files

- Relationships

-  Notes
(0049285)
nbv (developer)
2015-12-18 14:40

Dear Mikhail,

The problem is not reproduced on the current MASTER.

I think, we should close this issue.
(0049304)
msv (developer)
2015-12-18 15:44

Please check and close.
(0049442)
git (administrator)
2015-12-22 14:06

Branch CR26684 has been created by ski.

SHA-1: 1b304664a92fc382cc923d2987f9a11477098c3b


Detailed log of new commits:

Author: ski
Date: Tue Dec 22 13:57:40 2015 +0300

    0026684: Big tolerance values of the intersection curves
    
    Added test cases for issue 0026684
(0049444)
ski (developer)
2015-12-22 14:08

Dear nbv,

please review next test cases:

bugs / modalg_6 / bug26684_1
bugs / modalg_6 / bug26684_2
(0049447)
git (administrator)
2015-12-22 14:23

Branch CR26684 has been updated forcibly by ski.

SHA-1: 6963e8a0b4c8c910288929af86cd286a0db2ccfa
(0049448)
nbv (developer)
2015-12-22 14:27

Reviewed.
(0052946)
git (administrator)
2016-04-17 13:46

Branch CR26684 has been deleted by kgv.

SHA-1: 6963e8a0b4c8c910288929af86cd286a0db2ccfa

- Related Changesets
occt: master 83bb023e
Timestamp: 2015-12-22 11:23:09
Author: ski
Committer: bugmaster
Details ] Diff ]
0026684: Big tolerance values of the intersection curves

Added test cases for issue 0026684
add - tests/bugs/modalg_6/bug26684_1 Diff ] File ]
add - tests/bugs/modalg_6/bug26684_2 Diff ] File ]

- Issue History
Date Modified Username Field Change
2015-09-14 13:55 emv New Issue
2015-09-14 13:55 emv Assigned To => msv
2015-09-14 16:19 msv Assigned To msv => nbv
2015-09-14 16:19 msv Status new => assigned
2015-09-17 12:26 nbv Relationship added related to 0026431
2015-10-28 17:52 nbv Relationship added related to 0026576
2015-11-16 16:50 abv Target Version => 7.1.0
2015-11-24 11:47 nbv Relationship deleted related to 0026431
2015-12-18 14:40 nbv Note Added: 0049285
2015-12-18 14:40 nbv Assigned To nbv => msv
2015-12-18 14:40 nbv Status assigned => feedback
2015-12-18 15:44 msv Note Added: 0049304
2015-12-18 15:44 msv Assigned To msv => bugmaster
2015-12-21 12:12 bugmaster Assigned To bugmaster => ski
2015-12-22 14:06 git Note Added: 0049442
2015-12-22 14:08 ski Note Added: 0049444
2015-12-22 14:08 ski Assigned To ski => nbv
2015-12-22 14:23 git Note Added: 0049447
2015-12-22 14:27 nbv Assigned To nbv => bugmaster
2015-12-22 14:27 nbv Note Added: 0049448
2016-01-11 17:13 bugmaster Status feedback => tested
2016-01-15 16:57 bugmaster Changeset attached => occt master 83bb023e
2016-01-15 16:57 bugmaster Status tested => verified
2016-01-15 16:57 bugmaster Resolution open => fixed
2016-01-22 12:27 bugmaster Target Version 7.1.0 => 7.0.0
2016-04-17 13:46 git Note Added: 0052946
2016-04-20 15:43 aiv Fixed in Version => 7.0.0
2016-04-20 15:50 aiv Status verified => closed


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker